Loading...
Searching...
No Matches
Lomiri::DownloadManager::HashError Class Reference

The HashError represents an error that occurred during the hash validation after the download. More...

`#include <error.h>`

Inheritance diagram for Lomiri::DownloadManager::HashError:
Collaboration diagram for Lomiri::DownloadManager::HashError:

## Public Member Functions

virtual | ~HashError ()
QString | method ()
QString | expected ()
QString | checksum ()
QString | errorString () override
Public Member Functions inherited from Lomiri::DownloadManager::Error
virtual | ~Error ()
Type | type ()

## Protected Member Functions

| HashError (Transfers::Errors::HashErrorStruct err, QObject *parent)
Protected Member Functions inherited from Lomiri::DownloadManager::Error
| Error (Type type, QObject *parent=0)

## Additional Inherited Members

Public Types inherited from Lomiri::DownloadManager::Error
enum | Type { Auth , DBus , Http , Network , Process , Hash }

## Detailed Description

The HashError represents an error that occurred during the hash validation after the download.

Since
  0.3

Definition at line 480 of file error.h.

## Constructor & Destructor Documentation

## ~HashError()

Lomiri::DownloadManager::HashError::~HashError | ( |  | ) |

virtual

Disposes of this error and frees any resources associated with it.

Definition at line 454 of file error.cpp.

## HashError()

Lomiri::DownloadManager::HashError::HashError | ( | Transfers::Errors::HashErrorStruct | err,
|  | QObject * | parent )

protected

Creates a new error from the provided process error struct.

Definition at line 449 of file error.cpp.

References Lomiri::DownloadManager::Error::Error(), and Lomiri::DownloadManager::Error::Hash.

Referenced by checksum(), errorString(), expected(), and method().

Here is the call graph for this function:

## Member Function Documentation

## checksum()

QString Lomiri::DownloadManager::HashError::checksum | ( |  | ) |

/fn QString checksum()

Returns the checksum of the download on disk after the download was completed.

Definition at line 471 of file error.cpp.

References HashError().

Here is the call graph for this function:

## errorString()

QString Lomiri::DownloadManager::HashError::errorString | ( |  | ) |

override virtual

/fn QString errorString() override

Returns a string representation of the error.

Reimplemented from Lomiri::DownloadManager::Error.

Definition at line 477 of file error.cpp.

References HashError().

Here is the call graph for this function:

## expected()

QString Lomiri::DownloadManager::HashError::expected | ( |  | ) |

/fn QString expected()

Returns the checksum that passed to the download manager to check against once the download was completed.

Definition at line 465 of file error.cpp.

References HashError().

Here is the call graph for this function:

## method()

QString Lomiri::DownloadManager::HashError::method | ( |  | ) |

/fn QString method()

Returns the method that was used to verify the checksum of the download.

Definition at line 459 of file error.cpp.

References HashError().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- error.h
- error.cpp